После обновления система помечает обязательные пакеты для удаления

gww

New member
Сообщения
7
#1
Установили Астра Линукс Специальной редакции 1.7. Обновляем до последней версии, в окне обновления появляется сообщение, что есть пакеты, которые больше не требуются и их можно удалить, но вопрос, система помечает пакеты, составляющие окружение Fly и не только.
Посмотреть вложение Screenshot_20221129_144113.png
Посмотреть вложение Screenshot_20221129_144206.png
 

gww

New member
Сообщения
7
#3
# Основной репозиторий
deb https://dl.astralinux.ru/astra/stable/1.7_x86-64/repository-main/ 1.7_x86-64 main contrib non-free

# Оперативные обновления основного репозитория
deb https://dl.astralinux.ru/astra/stable/1.7_x86-64/repository-update/ 1.7_x86-64 main contrib non-free

# Базовый репозиторий
deb https://dl.astralinux.ru/astra/stable/1.7_x86-64/repository-base/ 1.7_x86-64 main contrib non-free

# Расширенный репозиторий
deb https://dl.astralinux.ru/astra/stable/1.7_x86-64/repository-extended/ 1.7_x86-64 main contrib non-free

# Репозиторий Debian
deb https://mirror.yandex.ru/debian/ buster main
 

Montfer

New member
Сообщения
2 167
#4
с подрубленным дебианом нежелательно обновлять, может оттуда пакеты обновить
 

gww

New member
Сообщения
7
#5
А как тогда прописать, чтобы обновления были только из репозиториев Астры, а доп.пакеты, если необходимо, из репозитория Дебиан? Прописать репозитории во fly-astra-update?
Сейчас обновление осуществляется с использованием репозиториев, прописанных в sources.list.
 

Montfer

New member
Сообщения
2 167
#6
не знаю, но где то настраивается приоритет реп. надо гуглить
 
Сообщения
630
#7
А как тогда прописать, чтобы обновления были только из репозиториев Астры, а доп.пакеты, если необходимо, из репозитория Дебиан? Прописать репозитории во fly-astra-update?
Сейчас обновление осуществляется с использованием репозиториев, прописанных в sources.list.
В этой статье есть раздел "Приоритеты репозиториев" Может здесь? Если решите проблему обязательно напишите здесь о том как ее решили с примерами. И вот по ссылке есть статья. В общем как решите проблему поделитесь решением здесь.
 

gww

New member
Сообщения
7
#8
В этой статье есть раздел "Приоритеты репозиториев" Может здесь? Если решите проблему обязательно напишите здесь о том как ее решили с примерами. И вот по ссылке есть статья. В общем как решите проблему поделитесь решением здесь.
Пока решил поступить следующим образом (отметить данные пакеты как установленные вручную):

Код:
sudo apt-mark manual fly-admin-alternatives fly-admin-autostart fly-admin-center fly-admin-cron fly-admin-device-manager fly-admin-dm fly-admin-env fly-admin-fonts fly-admin-format fly-admin-grub2 fly-admin-mouse fly-admin-multiseat fly-admin-network fly-admin-policykit-1 fly-admin-power fly-admin-printer fly-admin-printer-mac fly-admin-repo fly-admin-repo-helper fly-admin-sourcelist fly-admin-usbip fly-admin-usbip-helper fly-brightness fly-doc fly-fm-audit fly-fm-bsign fly-fm-mac fly-fontconfig-settings fly-jobviewer fly-notify-prevlogin fly-plastique-style fly-print-monitor fly-print-station fly-run fly-run-sumac fly-sosreport fly-videocamera
Поиски решения продолжаю.
 

West

New member
Сообщения
2
#12
А что мешает на время обновления закомментировать buster ?